Module | Sequel::SQLite
In: | lib/sequel/adapters/shared/sqlite.rb lib/sequel/adapters/sqlite.rb

Top level module for holding all SQLite-related modules and classes for Sequel.

### Methods

boolean float integer numeric

### Classes and Modules

Module Sequel::SQLite::DatabaseMethods
Module Sequel::SQLite::DatasetMethods

### Constants

TYPE_TRANSLATOR | = | tt = Class.new do FALSE_VALUES = %w'0 false f no n'.freeze

### Public Instance methods

boolean(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 15
    15:       def boolean(s) !FALSE_VALUES.include?(s.downcase) end

float(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 17
    17:       def float(s) s.to_f end

integer(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 16
    16:       def integer(s) s.to_i end

numeric(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 18
    18:       def numeric(s) ::BigDecimal.new(s) rescue s end

[Validate]